From 19340d819cd554ac3a6dc21eb3f35b20384ce3ab Mon Sep 17 00:00:00 2001
From: Nulo <git@nulo.in>
Date: Fri, 15 Oct 2021 16:58:48 -0300
Subject: [PATCH] Reorganizar parches

---
 ...g.jsx.diff => 0001-REQUIRED-fake-process-env.diff} |  0
 .../{0005-no-ssr.diff => 0002-REQUIRED-no-ssr.diff}   | 11 +++++++++++
 ....diff => 0003-REQUIRED-use-import-for-audios.diff} |  0
 patches/0004-react-render-instead-of-hydrate.diff     | 11 -----------
 ...ordion.diff => 0100-use-details-in-accordion.diff} |  0
 ...-exercises.diff => 0101-fix-broken-exercises.diff} |  0
 ...> 0102-use-audio-hook-in-selection-questions.diff} |  0
 ...dd-to-footer.diff => 0200-add-nulo-to-footer.diff} |  0
 ...d.diff => 0201-show-audio-controls-and-speed.diff} |  0
 9 files changed, 11 insertions(+), 11 deletions(-)
 rename patches/{0001-fake-process.env-config.jsx.diff => 0001-REQUIRED-fake-process-env.diff} (100%)
 rename patches/{0005-no-ssr.diff => 0002-REQUIRED-no-ssr.diff} (50%)
 rename patches/{0006-use-import-for-audios.diff => 0003-REQUIRED-use-import-for-audios.diff} (100%)
 delete mode 100644 patches/0004-react-render-instead-of-hydrate.diff
 rename patches/{0002-use-details-in-accordion.diff => 0100-use-details-in-accordion.diff} (100%)
 rename patches/{0003-fix-broken-exercises.diff => 0101-fix-broken-exercises.diff} (100%)
 rename patches/{0008-use-audio-hook-in-selection-questions.diff => 0102-use-audio-hook-in-selection-questions.diff} (100%)
 rename patches/{0007-add-to-footer.diff => 0200-add-nulo-to-footer.diff} (100%)
 rename patches/{0009-show-audio-controls-and-speed.diff => 0201-show-audio-controls-and-speed.diff} (100%)

diff --git a/patches/0001-fake-process.env-config.jsx.diff b/patches/0001-REQUIRED-fake-process-env.diff
similarity index 100%
rename from patches/0001-fake-process.env-config.jsx.diff
rename to patches/0001-REQUIRED-fake-process-env.diff
diff --git a/patches/0005-no-ssr.diff b/patches/0002-REQUIRED-no-ssr.diff
similarity index 50%
rename from patches/0005-no-ssr.diff
rename to patches/0002-REQUIRED-no-ssr.diff
index 46d2baa..c93d1cd 100644
--- a/patches/0005-no-ssr.diff
+++ b/patches/0002-REQUIRED-no-ssr.diff
@@ -1,3 +1,14 @@
+--- orig/index.jsx	2021-10-11 21:08:09.858345720 -0300
++++ sources-gen/index.jsx	2021-10-11 21:09:05.158218059 -0300
+@@ -30,7 +30,7 @@
+   cache: cache.restore(window.__APOLLO_STATE__), // eslint-disable-line no-underscore-dangle
+ });
+ 
+-ReactDOM.hydrate(
++ReactDOM.render(
+   <ApolloProvider client={client}>
+     <Provider store={store}>
+       <Router>
 --- orig/utils/ssr.jsx	2021-10-11 21:17:02.041396123 -0300
 +++ sources-gen/utils/ssr.jsx	2021-10-11 21:22:17.825984088 -0300
 @@ -1,7 +1,3 @@
diff --git a/patches/0006-use-import-for-audios.diff b/patches/0003-REQUIRED-use-import-for-audios.diff
similarity index 100%
rename from patches/0006-use-import-for-audios.diff
rename to patches/0003-REQUIRED-use-import-for-audios.diff
diff --git a/patches/0004-react-render-instead-of-hydrate.diff b/patches/0004-react-render-instead-of-hydrate.diff
deleted file mode 100644
index 641e784..0000000
--- a/patches/0004-react-render-instead-of-hydrate.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- orig/index.jsx	2021-10-11 21:08:09.858345720 -0300
-+++ sources-gen/index.jsx	2021-10-11 21:09:05.158218059 -0300
-@@ -30,7 +30,7 @@
-   cache: cache.restore(window.__APOLLO_STATE__), // eslint-disable-line no-underscore-dangle
- });
- 
--ReactDOM.hydrate(
-+ReactDOM.render(
-   <ApolloProvider client={client}>
-     <Provider store={store}>
-       <Router>
diff --git a/patches/0002-use-details-in-accordion.diff b/patches/0100-use-details-in-accordion.diff
similarity index 100%
rename from patches/0002-use-details-in-accordion.diff
rename to patches/0100-use-details-in-accordion.diff
diff --git a/patches/0003-fix-broken-exercises.diff b/patches/0101-fix-broken-exercises.diff
similarity index 100%
rename from patches/0003-fix-broken-exercises.diff
rename to patches/0101-fix-broken-exercises.diff
diff --git a/patches/0008-use-audio-hook-in-selection-questions.diff b/patches/0102-use-audio-hook-in-selection-questions.diff
similarity index 100%
rename from patches/0008-use-audio-hook-in-selection-questions.diff
rename to patches/0102-use-audio-hook-in-selection-questions.diff
diff --git a/patches/0007-add-to-footer.diff b/patches/0200-add-nulo-to-footer.diff
similarity index 100%
rename from patches/0007-add-to-footer.diff
rename to patches/0200-add-nulo-to-footer.diff
diff --git a/patches/0009-show-audio-controls-and-speed.diff b/patches/0201-show-audio-controls-and-speed.diff
similarity index 100%
rename from patches/0009-show-audio-controls-and-speed.diff
rename to patches/0201-show-audio-controls-and-speed.diff
